> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve RFI

> Retrieve the details of a single RFI, including the questions raised and the documents required to answer it.



## OpenAPI

````yaml /account-center/v1.6/connect.yaml get /v1/rfis/{id}
openapi: 3.0.2
info:
  version: 0.0.1
  title: Connect
  description: These APIs are designed for management of connected accounts.
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://api.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: Account Center
    description: >-
      Create and manage sub-accounts under supported business lines (Acquiring,
      Banking, Issuing).
  - name: Accounts
    description: >-
      With Connect, you can create UQPAY accounts for your users. To do this,
      you'll first need to register your platform.
  - name: Request for Information (RFI)
    description: >-
      Retrieve and answer Requests for Information (RFI) raised against your
      account during onboarding or ongoing review.
paths:
  /v1/rfis/{id}:
    get:
      tags:
        - Request for Information (RFI)
      summary: Retrieve RFI
      description: >-
        Retrieve the details of a single RFI, including the questions raised and
        the documents required to answer it.
      operationId: retrieve-rfi
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          description: OK - Successfully retrieved an RFI.
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RFIsResponse'
                title: RFIResponse
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >-
        The value set to the connected account's ID. More information at [List
        Connected
        Accounts](/account-center/v1.6/api-reference/list-connected-accounts)
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    RFIsResponse:
      type: object
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        rfi_id:
          $ref: '#/components/schemas/RFIId'
        status:
          $ref: '#/components/schemas/RFIStatus'
        create_time:
          $ref: '#/components/schemas/RFICreateTime'
        update_time:
          $ref: '#/components/schemas/RFIUpdateTime'
        request:
          type: array
          description: >-
            The list of questions raised in this RFI and any answers already
            submitted.
          items:
            type: object
            properties:
              question:
                type: object
                properties:
                  key:
                    $ref: '#/components/schemas/QuestionKey'
                  comment:
                    type: string
                    example: >-
                      Company Registration Documentation: includes company name,
                      registered address, business license, etc.
                    description: >-
                      Human-readable description of the question, including any
                      guidance from the reviewer.
                  type:
                    $ref: '#/components/schemas/RFIType'
              answer:
                $ref: '#/components/schemas/AnswerItem'
    AccountId:
      type: string
      example: f5bb6498-552e-40a5-b14b-616aa04ac1c1
      description: A unique identifier of the account.
    RFIId:
      type: string
      example: f846c1c3-8e8e-4560-b1a8-5318e858df1c
      description: A unique identifier of the RFI.
    RFIStatus:
      type: string
      example: SUBMITTED_PENDING
      description: >
        The current status of the RFI.

        - `ACTION_REQUIRED`: An answer is required from you.

        - `SUBMITTED_PENDING`: An answer has been submitted and is under review.

        - `APPROVED`: The submitted answer has been approved.

        - `REJECTED`: The submitted answer has been rejected; further action may
        be required.
      enum:
        - SUBMITTED_PENDING
        - REJECTED
        - APPROVED
        - ACTION_REQUIRED
    RFICreateTime:
      type: string
      example: '2024-11-08T17:17:32+08:00'
      description: Creation time of the RFI.
    RFIUpdateTime:
      type: string
      example: '2024-11-09T17:17:32+08:00'
      description: Last updated time of the RFI.
    QuestionKey:
      type: string
      example: basic_certificate_of_incorporation
      description: The key identifying a specific question in the RFI request.
    RFIType:
      type: string
      example: ATTACHMENT
      description: >-
        The type of question or answer item. `ATTACHMENT` indicates that one or
        more uploaded files are required.
      enum:
        - ATTACHMENT
    AnswerItem:
      type: object
      properties:
        key:
          $ref: '#/components/schemas/AnswerKey'
        type:
          $ref: '#/components/schemas/RFIType'
        attachments:
          type: array
          description: >-
            Array of `file_id` values returned by [Upload A
            File](/account-center/v1.6/api-reference/upload-file).
          items:
            type: string
            example: 63d75f6d-97a3-478c-bdbf-b050c650d72a
    AnswerKey:
      type: string
      example: basic_certificate_of_incorporation
      description: >-
        The key that matches the corresponding `question.key`, used to link the
        answer with its specific question.
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: The API token for login provided by UQPay.

````